<h1>Job Application</h1>
<div class="content">
  <div>
    <div class="job_offer_information">
      <h3 class="job_offer_information__title">Offer information</h3>
      <div>
        <ul class="job_offer_information__list">
          <li><b>Title:</b> <%= @job_offer.title%></li>
          <li><b>Description:</b> <%= @job_offer.description.blank? ||  @job_offer.description.nil? ?  '---': @job_offer.description%></li>
          <li><b>Location:</b> <%= @job_offer.location.blank? || @job_offer.location.nil? ? '---' : @job_offer.location%></li>
        </ul>
      </div>
    </div>

    <p>Please enter your email address to receive the contanct information for this offer.</p>
    <% form_for(@job_application, "/job_offers/apply/#{@job_offer.id}") do |f| %>

      <%= f.label :applicant_email %>
      <%= f.text_field :applicant_email %>
      <%= recaptcha_tags %>
      <br/>
      <div>
        <%= f.submit "Apply", :class => "btn btn-primary" %>
        <%= link_to 'Cancel', url_for(:job_offers, :latest), :class => "btn btn-secondary" %>
      </div>

    <% end %>
  </div>
  <div>
    <div style="margin-right: 30px;">
      <% if @offers_filter_count.size > 0 %>
        <h3 style="color: green;" class="job_offer_information__title">Suggested offers</h3>
        <% @offers_filter_count.each do |offer| %>
            <div class="job_offer_information">
              <div>
                <ul class="job_offer_information__list">
                  <li><%= offer.title %></li>
                  <li><b>Description:</b> <%= offer.description.blank? ||  offer.description.nil? ?  '---': offer.description%></li>
                  <li><b>Location:</b> <%= offer.location.blank? || offer.location.nil? ? '---' : offer.location%></li>
                  <%= link_to 'Apply', url_for(:job_offers, :apply, :offer_id => offer.id), :class => "btn btn-primary", :style => 'margin-top:10px'%>
                </ul>
              </div>
            </div>
        <% end %>
      <% else %>
          <h3 class="job_offer_information__title">No suggested offers found</h3>
      <% end %> 
    </div>
  </div>
</div>